Loading...
Searching...
No Matches
pdftron::Layout::ListItem Class Reference

`#include <ContentTree.h>`

Inheritance diagram for pdftron::Layout::ListItem:

## Public Member Functions
| ~ListItem ()
Paragraph | AddParagraph ()
Paragraph | AddParagraph (const UString &text)
List | AddList ()
int | GetIndentationLevel ()
int | GetListIdentifier ()
int | GetItemIndex ()
Public Member Functions inherited from pdftron::Layout::ContentNode
| ~ContentNode ()
void | Destroy ()
ContentNodeIterator | GetContentNodeIterator ()
Public Member Functions inherited from pdftron::Layout::ContentElement
| ~ContentElement ()
void | Destroy ()
ElementRef< List > | AsList () const
ElementRef< ListItem > | AsListItem () const
ElementRef< ContentNode > | AsContentNode () const
ElementRef< TextRun > | AsTextRun () const
ElementRef< Paragraph > | AsParagraph () const
ElementRef< Table > | AsTable () const
ElementRef< TableRow > | AsTableRow () const
ElementRef< TableCell > | AsTableCell () const
TextStyledElement | GetTextStyledElement ()

## Public Attributes
TRN_ListItem | m_impl
Public Attributes inherited from pdftron::Layout::ContentElement
TRN_ContentElement | m_impl

## Friends
class | List
class | ElementRef< ListItem >

## Additional Inherited Members
Protected Member Functions inherited from pdftron::Layout::ContentNode
| ContentNode (TRN_ContentNode impl)
Protected Member Functions inherited from pdftron::Layout::ContentElement
| ContentElement (TRN_ContentElement impl)

## Detailed Description

A class representing an item in a list in the document content tree.

Definition at line 975 of file ContentTree.h.

## Constructor & Destructor Documentation

## ◆ ~ListItem()

pdftron::Layout::ListItem::~ListItem | ( |  | ) |

## Member Function Documentation

## ◆ AddList()

List pdftron::Layout::ListItem::AddList | ( |  | ) |

Add a nested list to the list item.

Returns
  The List object representing the nested list.

## ◆ AddParagraph() [1/2]

Paragraph pdftron::Layout::ListItem::AddParagraph | ( |  | ) |

Add a new paragraph to the list item.

Returns
  The Paragraph object representing the newly added paragraph.

## ◆ AddParagraph() [2/2]

Paragraph pdftron::Layout::ListItem::AddParagraph | ( | const UString & | text | ) |

Add a new paragraph with the specified text to the list item.

Parameters

  text | The text content of the paragraph.

Returns
  The Paragraph object representing the newly added paragraph.

## ◆ GetIndentationLevel()

int pdftron::Layout::ListItem::GetIndentationLevel | ( |  | ) |

Get the indentation level of the list item.

Returns
  The indentation level.

## ◆ GetItemIndex()

int pdftron::Layout::ListItem::GetItemIndex | ( |  | ) |

Get the index of the list item within the parent list.

Returns
  The index of the list item.

## ◆ GetListIdentifier()

int pdftron::Layout::ListItem::GetListIdentifier | ( |  | ) |

Get the identifier of the list.

Returns
  The list identifier.

## Friends And Related Symbol Documentation

## ◆ ElementRef< ListItem >

friend class ElementRef< ListItem >
| friend

Definition at line 977 of file ContentTree.h.

## ◆ List

friend class List
| friend

Definition at line 977 of file ContentTree.h.

## Member Data Documentation

## ◆ m_impl

TRN_ListItem pdftron::Layout::ListItem::m_impl

Definition at line 1031 of file ContentTree.h.

The documentation for this class was generated from the following file:

- Layout/ContentTree.h